FORUMS: list search recent posts

Download link for old Media 100 versions

COW Forums : Media 100 844/X

<< PREVIOUS   •   VIEW ALL   •   PRINT
john bolton
Download link for old Media 100 versions
on Jul 5, 2017 at 3:03:24 pm

Can anyone supply a download link for old versions of Media 100.. I am looking for version 12.0.3. BORIS FX do not seem to read any correspondence and their Twitter feed it not monitored...Thanks


Return to posts index

Andrew Mehta
Re: Download link for old Media 100 versions
on Jul 23, 2017 at 1:19:06 am

Hello John, have you had any luck with this?

Mac Video Promo are the ones Boris has delegated Media 100 to.
They run http://www.Media100.com where you can download the very latest version - Media 100 Suite 2.1.8 - entirely for free.

Mac Video Promo is run by Rich D'Angelo, who has provided me with legacy software in the past, when I've been stuck. So while getting the latest version from the website - which supports Snow Leopard through to Sierra may suffice, if you need a particular past version, you can try asking Rich via:
Rich [at] macvideopromo [dot] com
...obviously changing [at] and [dot] for "@" and "." respectively.... ☺
Or you can enquire via the contact form here:
https://www.macvideopromo.com/pages/contact-us

If you are using a HDX card in a G5 - the last version to support PowerPCs was Media 100 Suite 1.7.1.
There's a link to an old German Media 100 site here:
http://www.media100.de/support/downloads/downloads-archiv/media-100-hd-suit...
Mac Video Promo / Media100.com could help with a licence key for it, if needed.



Return to posts index

john bolton
Re: Download link for old Media 100 versions
on Jul 23, 2017 at 7:22:23 am

Hello Rich
After much heart ache the download link you sent worked fine....

I much appreciate you guidance and help solving this.

We are now trying to solve another problem on an Intel G5 running OX S 10.7

We want a PCIe playback card. Have looked at the Blackmagic one but there does not seem to be one that work on that OS X version. I did look at the Blackmagic software download site but can't find anything relevant. There are some Used cards on bay but the sellers do not know what OS X they work on or how to obtain the relevant drivers,,

Always a struggle with older systems... ☺

Anyway, thanks again

John


Return to posts index


Andrew Mehta
Re: Download link for old Media 100 versions
on Jul 23, 2017 at 11:48:50 am
Last Edited By Andrew Mehta on Jul 23, 2017 at 11:51:38 am

Hello John,

I'm Andrew.
Rich is here: https://my.creativecow.net/Rich-DAngelo1

The Media 100 HDX was made for the Apple G5, and only works on the Apple G5 (not the G4, and not the Mac Pro), which limits your upgrade versions later.
A card is here: http://www.ebay.co.uk/itm/172214652558
and the wires and breakout box here: http://www.ebay.co.uk/itm/253025183646

Rich may be able to give you a licence code for Media 100 Suite 1.7.1 that works with the HDX's hardware serial - ask him before splashing any cash on ebay, of course!
Media 100 Suite 1.7.1 was the last to support PowerPC and thus the last to support the HDX card, and the Apple G5.

The HDX is a piece of Media 100 history - originally designed as the HD option for the super expensive PC compositing system 844/x, however, when Optibase took over the company, they only released it on Mac as part of Media 100 HD.

These days you're far better off with an AJA Kona Card. Cards like the AJA LHi also have HDMI input and output as well as SDI-HD. AJA Kona cards are PCIe cards, and only Intel Mac Pro computers have PCIe slots in them. So these cheaper, and more modern cards, will only work in an Intel Mac Pro.

Also, feel free to join the Facebook Group, and ask about card recommendations there too: https://www.facebook.com/groups/media100suite

Yours,
Andrew.



Return to posts index

Andrew Mehta
Re: Download link for old Media 100 versions
on Jul 23, 2017 at 12:03:28 pm

Also - you mentioned your G5 was running OSX 10.7.

Media 100 Suite 2, including the very latest free 2.1.8 supports Lion,
but Media 100 Suite 1.7.1 was released around the time Snow Leopard was the current operating system, and you may find you need to set up Snow Leopard to get 1.7.1 working properly.



Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT
© 2017 CreativeCOW.net All Rights Reserved
[TOP]